@echo off

rem FILE: DemoSleep.bat
rem COPYRIGHT: (c), Symmetric Research, 2010-2011
rem
rem This batch file starts two command prompt windows.
rem 
rem The first window runs a version of Blast which acquires data
rem at 78 samples per second with big files (S5) until the user 
rem enters a 'q' to exit.
rem
rem The second window runs the SleepWake batch file which loops
rem around putting a Windows PC to sleep for 900 seconds,
rem automatically waking up, and waiting until Blast in the other
rem window sets a signal indicating it has drained the onboard FIFO
rem and is ready to sleep again.  It can be stopped with a ^C.
rem
rem When you are ready to stop, it is OK to wake the PC up manually
rem before it has finished all requested seconds of sleep.
rem


start "Running Blast" cmd.exe /K blasts2.exe S5 g2 nokeypress

start "Running Sleep and Wake" cmd.exe /K sleepwake.bat 900

@echo on
