@echo off

rem FILE: IsRunning.bat
rem COPYRIGHT: (c), Symmetric Research, 2019
rem

rem Usage: IsRunning program
rem Checks if program.exe is already running.
rem For example: IsRunning Pak2Bin

set RUNNING=1

tasklist /FI "IMAGENAME eq %1.exe" | find "%1" > nul

if ERRORLEVEL 1 (set RUNNING=0)

if  "%RUNNING%" == "1" (
        echo Program %1 is already running.
) else (
        echo Program %1 is not running yet.
)

exit /b %RUNNING%
