@echo off

rem FILE: SR WatchDog Delete.bat
rem COPYRIGHT: (c), Symmetric Research, 2011-2016
rem
rem Delete the watchdog task scheduled with "SR WatchDog Schedule.bat".
rem 
rem Note that "SR WatchDog Schedule.bat" also has the parameter TASKNAME.  Make
rem sure it agrees with the value here.
rem
rem

rem TASKNAME *must* agree with the "SR WatchDog Schedule.bat" name:
rem
set TASKNAME="SR WatchDog"


echo RUNNING: "SR WatchDog Delete.bat"

echo.
echo.
echo *** Deleting TASKNAME = %TASKNAME% from the scheduled tasks:
echo.
schtasks /delete /f /tn %TASKNAME%


echo.
echo.
echo *** Displaying the OS report: ( ERROR: cannot find = its gone )
echo.
schtasks /query /tn %TASKNAME%


rem Pause to let the user view the command window before exiting.
rem
echo.
echo.
pause

@echo on
