@echo off

rem FILE: StepHost2CleanThumb
rem COPYRIGHT: (c), Symmetric Research, 2011
rem
rem
rem Delete all YMDHMS directories and all their data from a USB thumb drive.
rem
rem *** USE THIS BATCH FILE CAREFULLY, IT CAN DELETE A LOT OF DATA QUICKLY! ***
rem *** USE THIS BATCH FILE CAREFULLY, IT CAN DELETE A LOT OF DATA QUICKLY! ***
rem *** USE THIS BATCH FILE CAREFULLY, IT CAN DELETE A LOT OF DATA QUICKLY! ***
rem
rem Any StopAcq or Blast log files are also deleted.
rem
rem This batch file is for Windows command line usage.  It is assumed this
rem batch file will be run on a desktop class machine.
rem
rem



rem Initialize environment variable:
rem
rem NOTE: ** MODIFY THIS TO POINT TO THE APPROPRIATE PLACE ***
rem
rem
set SR_THUMBDRIVE=e:



rem  Announce StepHost2CleanThumb.bat file is running:
rem
rem
cls
title Delete **ALL** YMDHMS data directories ?

echo.
echo FILE: StepHost2CleanThumb.bat
echo DESC: delete ALL %SR_THUMBDRIVE% usb thumb data
echo.



rem Verify thumb drive exists:
rem
rem
rem
if not exist %SR_THUMBDRIVE% (

        echo.
        echo ERROR: No %SR_THUMBDRIVE% found
        echo.
        echo    Please plug in usb thumb or correct thumbdrive variable
        echo    Exiting StepHost2CleanThumb.bat with error ...
        echo.
        echo.
        pause
        exit /b 3
)




rem Make a beep, this potentially deletes a lot of data ...
rem
rem
echo 



rem Show existing directories:
rem
rem
echo.
echo Do you want to delete these YMDHMS directories ??
echo.
dir /b %SR_THUMBDRIVE%\20??-*
echo.



rem Get permission to delete **ALL** YMDHMS data directories:
rem
rem
echo.
echo Delete *ALL* %SR_THUMBDRIVE%\20??-* YMDHMS data directories ?  (Ctrl+C quits)
echo.
pause



rem Make sure user really wants to delete **ALL** YMDHMS data directories:
rem
rem
echo.
echo.
echo REALLY REALLY sure ?
echo.
echo Delete **ALL** YMDHMS DATA DIRECTORIES from %SR_THUMBDRIVE% ???  (Ctrl+C quits)
echo.
pause



rem Do the delete of **ALL** YMDHMS data directories:
rem
rem
echo.
echo OK ...
echo.
echo Delete ALL data directories from %SR_THUMBDRIVE% ...
echo.

for /D %%d in ( %SR_THUMBDRIVE%\20??-* ) do (

        echo    deleting data directory %%d
        rmdir /s /q %%d
        )



rem Also delete any StopAcq and Blast log files:
rem
rem
if exist %SR_THUMBDRIVE%\StopAcq (

        echo    deleting file StopAcq
        del %SR_THUMBDRIVE%\StopAcq
)

if exist "%SR_THUMBDRIVE%\000 Blast.log" (

        echo    deleting file 000 Blast.log
        del "%SR_THUMBDRIVE%\000 Blast.log"
)



rem Finished:
rem
rem
echo.
echo All YMDHMS data directories deleted ...
pause

echo.
echo.
echo StepHost2CleanThumb: FINISHED
echo.
