@echo off

rem Batch file to clean out old logs and data before starting a new run.
rem
rem

rem Location where logs and data will be deleted from.
rem

set SREWRUNLOC=%EW_RUN_DIR%
set SREWLOGLOC=%EW_LOG%
set SREWDATALOC=%EW_DATA_DIR%

rem set SREWRUNLOC=C:\Earthworm\run_working
rem set SREWLOGLOC=%SREWRUNLOC%\log\
rem set SREWDATALOC=%SREWRUNLOC%\data\


rem Warn about deletes.
rem
rem

echo Logs and data will be ** DELETED ** from
echo   %SREWLOGLOC%
echo   %SREWDATALOC%
echo   %SREWDATALOC%SrRpt-*.rpt
echo   %SREWDATALOC%20??-??-??-at-??-??-??
echo Do you really want to continue (Ctrl+C to quit) ?
pause

rem Begin the deletes ...
rem
rem

echo Cleaning Log ...
del %SREWLOGLOC%*.log

echo Cleaning Data ...
del %SREWDATALOC%*.tnk
del %SREWDATALOC%*.inx
del %SREWDATALOC%*.str

del %SREWDATALOC%SrRpt-*.rpt
del %SREWDATALOC%YmdHmsSetEnv.bat

pushd %SREWDATALOC%
for /D %%i in (20??-??-??-at-??-??-??) do rmdir /s /q %%i
popd
